Name:           mt32emu
Version:        2.5.3
Release:        1%{?dist}
Summary:        C/C++ library for emulating Roland MT-32, CM-32L and LAPC-I synthesizer modules

%global version_ %(v=%{version}; tr . _ <<< $v)

# general license - LGPLv2+
# Hash implementation at mt32emu/src/sha1 - BSD
License:        LGPLv2+ and BSD
URL:            http://munt.sourceforge.net/
Source0:        https://github.com/munt/munt/archive/refs/tags/lib%{name}_%{version_}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++


%description
mt32emu is a part of the Munt project. It represents a C/C++ library named
libmt32emu which allows to emulate (approximately) the Roland MT-32, CM-32L and
LAPC-I synthesizer modules.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       pkgconf-pkg-config

%description devel
%{summary}.

%prep
%autosetup -p1 -n munt-lib%{name}_%{version_}
# Remove other subprojects than mt32emu
rm -rf DOSBox-mt32-patch mt32emu_{alsadrv,smf2wav,win32drv{,_setup}}
# These should be removed, but are required by toplevel CMakeLists
# for CPack package description and license files
# Asking upstream to fix this: https://github.com/munt/munt/issues/68#issue-937143770
# rm -rf FreeBSD mt32emu_qt


%build
# Build only the library
# Use correct install prefix. Upstream fix: https://github.com/munt/munt/commit/f2e8ca08a0f4a2224317229c8fad43a6c51a312b
%cmake \
    -Dmunt_WITH_MT32EMU_SMF2WAV=FALSE \
    -Dmunt_WITH_MT32EMU_QT=FALSE \
    -Dlibmt32emu_PKGCONFIG_INSTALL_PREFIX=%{_libdir} \
    -Dlibmt32emu_WITH_VERSION_TAGGING=TRUE \
    -Dlibmt32emu_WITH_SYMBOL_VERSIONING=TRUE
%cmake_build

%install
%cmake_install
# Remove a license that is not actually used
# Upstream explanation for its existence: https://github.com/munt/munt/issues/68#issuecomment-882524417
rm %{buildroot}/%{_docdir}/munt/lib%{name}/COPYING.txt

%check
# No tests available
# %%ctest

%files
%{_libdir}/lib%{name}.so.2*
%license %{_docdir}/munt/lib%{name}/{COPYING.LESSER,AUTHORS}.txt
%dir %{_docdir}/munt
%dir %{_docdir}/munt/lib%{name}
%doc %{_docdir}/munt/lib%{name}/{README.md,NEWS.txt}

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}{.h,}
%{_libdir}/pkgconfig/%{name}.pc
%doc %{_docdir}/munt/lib%{name}/TODO.txt

%changelog
* Sat Aug 07 2021 Otto Urpelainen <oturpe@iki.fi> - 2.5.3-1
- Update to 2.5.3
- Resolves rhbz#1991066

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Otto Urpelainen <oturpe@iki.fi> 2.5.2-1
- Initial release
